Name:		ql2400-firmware
Summary: 	Firmware for qlogic 2400 devices
Version:	4.04.04
Release:	1%{?dist}
License:	Redistributable, no modification permitted
Group:		System Environment/Kernel
Source0:	ftp://ftp.qlogic.com/outgoing/linux/firmware/ql2400_fw.bin
Source1:	ftp://ftp.qlogic.com/outgoing/linux/firmware/LICENSE
Source2:	ftp://ftp.qlogic.com/outgoing/linux/firmware/ql2400_fw.bin_mid
URL:		ftp://ftp.qlogic.com/outgoing/linux/firmware/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
Firmware for qlogic 2400 devices.

%prep
%setup -n %{name} -c -T
cp %{SOURCE0} .
cp %{SOURCE1} .
cp %{SOURCE2} .

%build
# Firmware, do nothing.

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/firmware/
install -m0644 ql2400_fw.bin ql2400_fw.bin_mid $RPM_BUILD_ROOT/lib/firmware/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE
/lib/firmware/ql2400_fw.bin
/lib/firmware/ql2400_fw.bin_mid

%changelog
* Fri Aug 22 2008 Tom "spot" Callaway <tcallawa@redhat.com> 4.04.04-1
- update to 4.04.04

* Wed Oct 24 2007 Tom "spot" Callaway <tcallawa@redhat.com> 4.00.27-1
- Initial package for Fedora
